using System.Collections.Generic;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Accessories
{
    internal class SlimeBracelet : DecimationAccessory
    {
        protected override string ItemName => "Slime Bracelet";
        protected override string ItemTooltip => "WIP";

        protected override void InitAccessory()
        {
            item.width = 24;
            item.height = 24;
            item.rare = Rarity.Green.GetRarityValue();

            this.item.value = Item.buyPrice(0, 0, 0, 10);
        }

        protected override List<ModRecipe> GetRecipes()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, new List<int> {TileID.WorkBenches}, true);

            recipe.AddIngredient(ItemID.Shackle);
            recipe.AddIngredient(ItemID.Gel, 5);
            recipe.AddIngredient(ItemID.Aglet);

            return new List<ModRecipe> {recipe};
        }
    }
}